Fix Scroll-zoom with touchpads on descrete map types
ClosedPublic

Authored by dkolozsvari on May 10 2016, 6:08 PM.

Details

Summary

The discussion at https://bugs.kde.org/show_bug.cgi?id=358094 helped me a lot to understand what caused the problem. The scrolling with a touchpad is translated to some small, rapid mousewheel angle changes, and that coused the "jumping" in and out.

Diff Detail

Repository
R34 Marble
Lint
Lint Skipped
Unit
Unit Tests Skipped
dkolozsvari retitled this revision from to Fix Scroll-zoom with touchpads on descrete map types.May 10 2016, 6:08 PM
dkolozsvari updated this object.
dkolozsvari edited the test plan for this revision. (Show Details)
dkolozsvari added a reviewer: Marble.
dkolozsvari set the repository for this revision to R34 Marble.
dkolozsvari added a project: Marble.
dkolozsvari added a subscriber: Marble.
nienhueser accepted this revision.May 17 2016, 5:15 PM
nienhueser added a reviewer: nienhueser.
nienhueser added a subscriber: nienhueser.

Looks good to me. I think it's best to push it to master and have some people with appropriate hardware give it a try.

This revision is now accepted and ready to land.May 17 2016, 5:15 PM
kossebau closed this revision.Sep 9 2016, 3:37 PM
kossebau added a subscriber: kossebau.

Committed as rMARBLE1046d11f8f4455d1c18aa97dda0fa3c2550eedd0